Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts.taglib
Class ImageTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.BaseHandlerTag
                  org.apache.struts.taglib.html.SubmitTag
                      org.apache.struts.taglib.html.ImageTag
                          org.apache.portals.bridges.struts.taglib.ImageTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, Serializable, javax.servlet.jsp.tagext.Tag

public class ImageTag
extends org.apache.struts.taglib.html.ImageTag

Supports the Struts html:image tag to be used within a Portlet context allowing relative img src paths.

Version:
  $Id: ImageTag.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Ate Douma
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.html.ImageTag
`align, border, page, pageKey, src, srcKey`

Fields inherited from class org.apache.struts.taglib.html.SubmitTag
`messages, property, text, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, doDisabled, doReadonly, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImageTag()`

Method Summary
`int` | `doEndTag()` Allow a relative img src path to be used within a PortletRequest context.

Methods inherited from class org.apache.struts.taglib.html.ImageTag
`getAlign, getBorder, getElementOpen, getPage, getPageKey, getSrc, getSrcKey, prepareButtonAttributes, release, setAlign, setBorder, setPage, setPageKey, setSrc, setSrcKey, src`

Methods inherited from class org.apache.struts.taglib.html.SubmitTag
`doAfterBody, doStartTag, getDefaultValue, getProperty, getValue, prepareName, prepareValue, setProperty, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ImageTag

    public ImageTag()

Method Detail

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Allow a relative img src path to be used within a PortletRequest context.

  Temporarily modifies the `ImageTag.src` attribute value (if defined and if within the context of a `PortletRequest`).
  A relative src path is changed to a context relative path using the current request uri.

  Returns:
    `Tag.EVAL_PAGE`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.